Last modified: 2014-10-16 11:15:34 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 71024 - MS Sql Driver has compatibility bugs (see description)
MS Sql Driver has compatibility bugs (see description)
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Database (Other open bugs)
1.24rc
All All
: Unprioritized normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: mssql
  Show dependency treegraph
 
Reported: 2014-09-18 20:55 UTC by Emad Elwany
Modified: 2014-10-16 11:15 UTC (History)
1 user (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Emad Elwany 2014-09-18 20:55:16 UTC
1. IGNORE option not working as expected
2. SELECT statement not working correctly when Insert ID is needed
3. MS SQL Server doesn't support ORDER BY with integers as arguments
Comment 1 Gerrit Notification Bot 2014-09-18 20:57:58 UTC
Change 161349 had a related patch set uploaded by Emadelwany:
Fix Bugs in MS SQL Driver

https://gerrit.wikimedia.org/r/161349
Comment 2 Gerrit Notification Bot 2014-09-19 12:59:43 UTC
Change 161349 had a related patch set uploaded by Skizzerz:
(bug 71024) Fix issues with Microsoft SQL Server Driver: 1. INSERT IGNORE now works properly 2. Only return an inserted id if the INSERT was actually successful 3. Fix syntax error when doing LIMIT queries

https://gerrit.wikimedia.org/r/161349
Comment 3 Gerrit Notification Bot 2014-09-19 17:09:41 UTC
Change 161349 had a related patch set uploaded by Legoktm:
Fix some issues with Microsoft SQL Server Driver

https://gerrit.wikimedia.org/r/161349
Comment 4 Gerrit Notification Bot 2014-09-19 17:16:43 UTC
Change 161349 merged by jenkins-bot:
Fix some issues with Microsoft SQL Server Driver

https://gerrit.wikimedia.org/r/161349
Comment 5 Andre Klapper 2014-10-16 11:15:34 UTC
Patch mentioned in this report was merged - assuming this bug is FIXED.
If that is not the case: Please reopen and elaborate what is left to do here to get this report fixed.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links